Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Types | Public Member Functions | Public Attributes
FiberDisp Class Reference

## Detailed Description

Holds the display attributes for a certain class of Fiber.

There is one FiberDisp for each FiberProp.

Inheritance diagram for FiberDisp:

## Public Types
enum | ColoringModes { COLORING_NONE, COLORING_NUMBER, COLORING_DIRECTION, COLORING_MARK, COLORING_FLECK }
| possible values for fiber:coloring

## Public Member Functions
| FiberDisp (const std::string &n)
| constructor
| ~FiberDisp ()
| destructor
std::string | kind () const
| identifies the property
void | clear ()
| clear to default values
void | read (Glossary &)
| set from glossary
Property * | clone () const
| return a carbon copy of object
void | write_data (std::ostream &) const
| write all values
Public Member Functions inherited from Property
| Property (const std::string &n, const int index=-1)
| constructor must provide a name
virtual | ~Property ()
| destructor
std::string | name () const
| return identifier for instantiation
void | name (const std::string &n)
| change name
bool | is_named (const std::string &n)
| true if 'name' matches
int | index () const
| index, unique among all Property of similar kind()
void | index (int x)
| set index in the array of Properties
bool | modified () const
| true if at least one value is different than its default setting
void | readString (std::string &, char stamp)
| set from a string, return number of values assigned More...
void | readFile (const char file[])
| set from a string, return number of values assigned
virtual void | complete (SimulProp const *sp, PropertyList *plist)
| set variables derived from the parameters, and check consistency of values More...
void | write_diff (std::ostream &, const Property *ref) const
| write only values that differ from the ones specified in ref
void | write_diff (std::ostream &, bool prune) const
| if ( prune == true ), write values that differ from the default values
void | write (std::ostream &, bool prune=false) const
| write header + data More...

## Public Attributes
int | visible
| visibility flag : 0=hidden, 1=opaque (-1 is used in 3D for transparent objects)
gle_color | color
| color of fiber
int | coloring
| if true, use different colors to display some property of the fibers More...
real | line_width
| width of lines (also known as `line`[0])
int | line_style
| style for lines (also known as `line`[1]) More...
real | point_size
| size of points (also known as `point`[0]) More...
int | point_style
| style for display of points (also known as `point`[1]) More...
int | end_style [2]
| style of fiber tips for { PLUS_END, MINUS_END } More...
real | end_size [2]
| size of fiber tips for { PLUS_END, MINUS_END } More...
real | end_section [2]
| length of a section displayed near the fiber tips More...
gle_color | end_color [5]
| colors of the different FiberTip states More...
int | speckle_style
| style for speckle display (also know as speckles) More...
real | interval
| distance between speckles (also known as `speckles`[1])
int | exclude
| a bit-field to hide certain categories of fibers More...
Vector | right
| the reference direction used for hiding left- or right-pointing fibers, etc. (also known as `exclude`[1])
unsigned int | mask
| period used to attribute colors with the coloring option
int | phase
| phase used to attribute colors with the coloring option (also known as `mask`[1])
real | rainbow
| conversion coefficient from tension to color, for line_style==2 More...
real | forces
| ( if > 0 ) display the net forces FP acting on model points More...
int | explode
| the 'explosion' effect shift the fibers in space More...
real | explode_range
| amount of lateral shift to separate fibers when display is exploded (known as `explode`[1])
int | show_average
| if true, display the average fiber More...
gle_color | forces_color
| this color is specified as forces[1]

## Additional Inherited Members
Static Public Member Functions inherited from Property
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const &c)
| formatted output of one parameter
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const *c, int cnt)
| formatted output of one parameter
template<typename C , typename D >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d)
| formatted output of one parameter
template<typename C , typename D , typename E >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e)
| formatted output of one parameter
template<typename C , typename D , typename E , typename F >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e, F const &f)
| formatted output of one parameter